---
title: rattler-build debug build-add
---
<!--- This file is autogenerated. Do not edit manually! -->
# [rattler-build](../index.md) [debug](index.md) build-add

Install additional packages into the build prefix

## Usage
```
rattler-build debug build-add [OPTIONS] <SPECS>...
```

## Arguments
- <a id="arg-SPECS" href="#arg-SPECS">`<SPECS>`</a>
:  Package specs to install (e.g. "python>=3.11", "cmake", "numpy 1.26.*")
<br>May be provided more than once.
<br>**required**: `true`

## Options
- <a id="arg---channel" href="#arg---channel">`--channel (-c) <CHANNELS>`</a>
:  Channels to search for packages in
<br>May be provided more than once.
- <a id="arg---work-dir" href="#arg---work-dir">`--work-dir <WORK_DIR>`</a>
:  Work directory to use (reads from last build in rattler-build-log.txt if not specified)
- <a id="arg---output-dir" href="#arg---output-dir">`--output-dir (-o) <OUTPUT_DIR>`</a>
:  Output directory containing rattler-build-log.txt
<br>**default**: `./output`

## Description
Install additional packages into the build prefix

This command resolves and installs the specified packages into the build environment of an existing debug build. Useful for adding build tools without re-running the full debug setup.

